%global plugin check_logfiles
%global nagiospluginsdir %{_libdir}/nagios/plugins

Name:          nagios-plugins-logfiles
Version:       3.5.1
Release:       2mamba
Summary:       A Nagios plugin which scans log files for specific patterns
Group:         Network/Monitoring
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           https://labs.consol.de/nagios/check_logfiles/
Source:        http://labs.consol.de/download/shinken-nagios-plugins/check_logfiles-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      nagios-plugins
Requires:      perl

%description
This Nqgios plugin looks for patterns in files.
It is capable of detecting logfile rotation.
If you tell it how the rotated archives look like, it will also examine these files.
Traditional logfile plugins were not aware of the gap which could occur, so under some circumstances they ignored what had happened between their checks.
In a production environment this is not tolerable, that's why check_logfiles came into being.

%prep
%setup -q -n %{plugin}-%{version}

%build
%configure --libexecdir=%{nagiospluginsdir} 
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{nagiospluginsdir}/%{plugin}
%doc AUTHORS COPYING README

%changelog
* Thu Apr 25 2024 Automatic Build System <autodist@openmamba.org> 3.5.1-2mamba
- automatic rebuild by autodist

* Fri Jan 04 2013 Davide Madrisan <davide.madrisan@gmail.com> 3.5.1-1mamba
- package created by autospec
